+ Post New Thread
Page 358 of 611 FirstFirst ... 258 308 348 356 357 358 359 360 368 408 458 ... LastLast
Threads 8926 to 8950 of 15253

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 60,931
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 61,719
    18th Sep 2006 10:46 pm Go to last post
  1. insert a block from a different file

    could someone help. I need some sample code to do just one thing insert a block into the current drawing, for example I have many blocks in a file on my computer each block with its own name and...

    Started by kloe‎, 17th Oct 2010 06:11 pm
    • Replies: 1
    • Views: 4,024
    17th Oct 2010 06:27 pm Go to last post
  2. Question Combine SSGet Methods?

    I would like user to select just one Hatch. If user already has selected the Hatch i would like to use that one. So I would use: (ssget "_I:S") but I get Error: bad ssget mode string How are...

    Started by chavlji‎, 17th Oct 2010 02:17 pm
    • Replies: 1
    • Views: 1,200
    17th Oct 2010 02:58 pm Go to last post
  3. (command "dim" "DIMLDRBLK" "" |) is not working

    (command "dim" "DIMLDRBLK" "_ORIGIN" |) this is my first command it is working properly to change leader arrow but im trying change my variable to filled arrow using this command (command...

    Started by bijoyvm‎, 14th Oct 2010 09:51 am
    • Replies: 6
    • Views: 4,262
    17th Oct 2010 12:15 pm Go to last post
  4. Mtext background mask lisp needed

    can I get a lisp for create Mtext background fill...

    Started by bijoyvm‎, 14th Oct 2010 03:01 pm
    • Replies: 3
    • Views: 2,995
    17th Oct 2010 11:37 am Go to last post
  5. Rename Blocks

    Thought some one could make use of this Will rename all blocks or just a single block, from selecting the target , Good for those random blocks or bad memory ;| Rename Blocks Created...

    Started by flowerrobot‎, 20th Dec 2009 06:36 am
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 11,126
    17th Oct 2010 07:58 am Go to last post
  6. Learning the art of LISP commands

    Hi All I would like to learn more about LISP commands and how to write them. Are there any good books anyone would recommend, instead of misc. posts here and there about them? Thanks Kat :D

    Started by Kat‎, 12th Oct 2010 11:53 pm
    • Replies: 7
    • Views: 18,378
    17th Oct 2010 03:33 am Go to last post
  7. DXF code for Locked Layer

    Hello, What's the DXF code that indicates to the Locked Layer ? Thanks,

    Started by Sweety‎, 15th Oct 2010 10:01 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 6,182
    17th Oct 2010 03:21 am Go to last post
  8. Qleader not attaching block

    First, thanks for all the help I've received on this forum. I can't tell you how grateful I am. Recently I've seen the following lisp for various qleader setting solutions and just can't figure...

    Started by jake77777‎, 15th Oct 2010 05:18 pm
    • Replies: 2
    • Views: 1,278
    16th Oct 2010 07:31 pm Go to last post
  9. create directory Visual Lisp

    Hi guys. I am a bit stuck here. I began typing: (if (not (vl-file-directory-p "U:\\Project1\\CAD_Xref_Files\\")) (vl-mkdir "U:\\Project1\\CAD_Xref_Files\\")) This works for one...

    Started by au-s‎, 15th Oct 2010 01:28 pm
    • Replies: 8
    • Views: 5,860
    15th Oct 2010 04:51 pm Go to last post
  10. viewport overides

    Guys can anyone please help me with this routine i made for viewport overide. it needs a lot of improvement 1: i cant make truecolor read from my list '(135,13,135 79,161,99)... if i call the value...

    Started by pBe‎, 14th Oct 2010 01:24 pm
    • Replies: 4
    • Views: 1,463
    15th Oct 2010 03:40 pm Go to last post
  11. Aler function..

    How to set "Alert" function so the appearance (dialog box) will not disappear (closed) if click the "X" button at upper right unless click "OK". Example the funtion: (alert "Are you agree") ...

    Started by Pither Rukka‎, 15th Oct 2010 04:11 am
    • Replies: 4
    • Views: 1,425
    15th Oct 2010 12:34 pm Go to last post
  12. Cable Id Number Tag Lisp

    Hello Everybody, I have a new block program here that is used to address or identify cable for IT construction. The blocks attribute tag information is assembled based on input. The block is then...

    Started by The Buzzard‎, 10th Oct 2010 10:27 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 9,530
    14th Oct 2010 09:36 pm Go to last post
  13. get max width of mtext.

    I search the forum. and get codes in this thread.http://www.cadtutor.net/forum/showthread.php?35109-Mtext-width&p=230733&viewfull=1#post230733 some codes are not clear to me. if I just want to...

    Started by blueshake‎, 14th Oct 2010 02:27 pm
    • Replies: 4
    • Views: 1,348
    14th Oct 2010 03:35 pm Go to last post
  14. vlax-put-property

    how do I assign the property of one to anouther? I want to take my file name and assign it to my layout tab. This is my code so far: How do I use the vlax-put-property? I am not looking...

    Started by cadman6735‎, 8th Oct 2010 10:11 pm
    • Replies: 5
    • Views: 2,045
    13th Oct 2010 10:13 pm Go to last post
  15. ATTEXT in Lisp

    I have been fighting with this for some time now: In a drawing that containes blocks with attributes, blocks with blocks with attributes AND xrefs with blocks with attributes. I need to extract some...

    Started by d2cad‎, 13th Oct 2010 03:06 pm
    2 Pages
    1 2
    attext, error, lisp, xref
    • Replies: 16
    • Views: 6,510
    13th Oct 2010 08:12 pm Go to last post
  16. Please help revive this lisp...

    Hey all, I didn't write this batch lisp but I've been using it for a long time. Recently, the lisp hasn't been working. The error I get when I try to run is, "; error: bad argument type: consp...

    Started by inzy‎, 12th Oct 2010 04:45 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 5,231
    13th Oct 2010 08:08 pm Go to last post
  17. Convert Layers TO independat Drawings

    Hellow cad gurus Please tell me if there is a way (fast one ehehehe) to convert all layers in independat dwg keeping the name of the layer in the drawings that were created. many thanks Paulo...

    Started by paulosalvado‎, 12th Oct 2010 03:32 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 3,253
    13th Oct 2010 06:38 pm Go to last post
  18. Just a dumb text bracket code.

    Hello Everyone, I am not sure this is of any use to you all, But I wanted to keep this thread simple. The attached code creates text brackets as pictured in the image. I have two codes posted,...

    Started by The Buzzard‎, 13th Oct 2010 04:45 pm
    2 Pages
    1 2
    • Replies: 10
    • Views: 7,510
    13th Oct 2010 06:24 pm Go to last post
  19. random selection

    Hello everybody, Is it possible to make a random selection? let's say i have a drawing with all entities possible to be in a 2d drawing, and i want to select 10% from all entity, but randomly? Maybe...

    Started by flopo‎, 29th Sep 2010 10:26 am
    2 Pages
    1 2
    • Replies: 10
    • Views: 2,799
    13th Oct 2010 05:35 pm Go to last post
  20. If layer is on turn it off if off turn it on

    It seems so simple right? but I can't figure it out! There is just one specific layer I want to be able to turn on and off with a lisp routine.

    Started by TheZman‎, 13th Oct 2010 12:07 am
    2 Pages
    1 2
    • Replies: 11
    • Views: 3,449
    13th Oct 2010 05:09 pm Go to last post
  21. Match Properties Text

    Hello, I was just wondering if there is a LISP routine out there, or if can be done in ACAD itself. I've searched the site and ACAD help menu (useless nowadays it seems) and can't find anyway of...

    Started by Ocron‎, 12th Oct 2010 04:13 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 5,821
    13th Oct 2010 03:58 pm Go to last post
  22. Fields not Updating

    I have a problem with a field on our template. I have a field for sheet size setup to update automatically based on the printer chosen. It works fine on my machine but on others the field looks...

    Started by woodman78‎, 11th Oct 2010 10:49 am
    • Replies: 2
    • Views: 2,115
    13th Oct 2010 10:59 am Go to last post
  23. TextMatch - Pick up where MatchProperties Left off (for MText & Text)

    TextMatch will allow the user to select a source MText/Text object, then match the specified properties to all selected MText/Text objects. Properties available: "AttachmentPoint"...

    Started by alanjt‎, 4th Nov 2009 04:44 pm
    3 Pages
    1 2 3
    • Replies: 25
    • Views: 10,633
    12th Oct 2010 09:50 pm Go to last post
  24. Page setup import

    Hi All I have a lisp to import a page setup, as shown below (command "-psetupin" "Z:/Drawings/Pagesetups.dwg" "ICAD-DWF") Problem is, if this page setup already exists i need to use this...

    Started by FazBear‎, 4th May 2009 06:57 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 5,581
    12th Oct 2010 08:25 pm Go to last post
  25. One entmakex for multiple points

    Hello GUYS. :) How can I draw line using one Entmakex for multiple points ? ... Example... (if (and (setq p1 (getpoint "\n Specify first Point :")) (setq p2 (getpoint "\n Specify second...

    Started by Sweety‎, 12th Oct 2010 03:24 pm
    • Replies: 4
    • Views: 1,206
    12th Oct 2010 03:56 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts